summaryrefslogtreecommitdiffstats
path: root/graphics/flpsed
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2015-12-30 15:28:03 -0500
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-01-01 07:13:46 +0700
commit2ae91fef79a97d5a121fc290f10d0c7f74f70dd5 (patch)
treeb822775573d5e80168480686b5e3ed1c388a5429 /graphics/flpsed
parenta29d5fb8db552af107efbceb2ffeaf9836038970 (diff)
downloadslackbuilds-2ae91fef79a97d5a121fc290f10d0c7f74f70dd5.tar.gz
slackbuilds-2ae91fef79a97d5a121fc290f10d0c7f74f70dd5.tar.xz
graphics/flpsed: Updated for version 0.7.3, new maintainer.
Diffstat (limited to 'graphics/flpsed')
-rw-r--r--graphics/flpsed/flpsed.SlackBuild33
-rw-r--r--graphics/flpsed/flpsed.info12
2 files changed, 28 insertions, 17 deletions
diff --git a/graphics/flpsed/flpsed.SlackBuild b/graphics/flpsed/flpsed.SlackBuild
index 23c1a54e34..80804e4a0c 100644
--- a/graphics/flpsed/flpsed.SlackBuild
+++ b/graphics/flpsed/flpsed.SlackBuild
@@ -1,11 +1,13 @@
#!/bin/sh
# Slackware build script for flpsed
-# Written by Jack Maddox <jackmaddox@gmail.com>
-# Based on http://slackbuilds.org/template.SlackBuild
+# Originally written by Jack Maddox <jackmaddox@gmail.com>
+# Currently maintained by B. Watson <yalhcru@gmail.com>
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
PRGNAM=flpsed
-VERSION=${VERSION:-0.6.1}
+VERSION=${VERSION:-0.7.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -51,6 +53,20 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Allow building with SBo fltk13 package or Pat's extra/fltk on -current
+# (or 14.2, when it's released).
+if [ "$( fltk-config --api-version 2>/dev/null )" = "1.3" ]; then
+ FLTKCONFIG="$( which fltk-config )"
+else
+ FLTKCONFIG="$( which fltk13-config )"
+fi
+
+if [ -z "$FLTKCONFIG" ]; then
+ echo "$0: can't find fltk-config for fltk version 1.3.x" 1>&2
+ exit 1
+fi
+
+FLTKCONFIG="$FLTKCONFIG" \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -62,17 +78,12 @@ CXXFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux
make
-make install DESTDIR=$PKG
-
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+make install-strip DESTDIR=$PKG
-find $PKG/usr/man -type f -exec gzip -9 {} \;
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- README INSTALL COPYING AUTHORS NEWS \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README INSTALL COPYING AUTHORS NEWS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/usr/share/applications
diff --git a/graphics/flpsed/flpsed.info b/graphics/flpsed/flpsed.info
index f1791c2618..e77eb21530 100644
--- a/graphics/flpsed/flpsed.info
+++ b/graphics/flpsed/flpsed.info
@@ -1,10 +1,10 @@
PRGNAM="flpsed"
-VERSION="0.6.1"
+VERSION="0.7.3"
HOMEPAGE="http://flpsed.org/flpsed.html"
-DOWNLOAD="http://www.flpsed.org/flpsed-0.6.1.tar.gz"
-MD5SUM="5377fe7e80d677c794e013ce07627d6a"
+DOWNLOAD="http://flpsed.org/flpsed-0.7.3.tar.gz"
+MD5SUM="3b7c2ffd349a41c2e484dad3fd3d73d0"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="fltk2"
-MAINTAINER="Jack Maddox"
-EMAIL="jack@auburn.edu"
+REQUIRES="fltk13"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"